@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@import url(../vendor/fontawesome/css/all.min.css);

html,
body {
  overflow-x: hidden;
}

.fontbebas {
  font-family: 'Bebas Neue', cursive;
}

.fontinter {
  font-family: 'Inter', sans-serif;
}

body {
  font-family: 'Inter', sans-serif;
  --color-gray: #d9d9d9;
  --color-black: #1a1a1a;
  --color-red: #c81618;
  --shadow-small: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px,
    rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
  --shadow-medium: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px,
    rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
  --shadow-large: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px,
    rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
  --shadow-extra: rgba(0, 0, 0, 0.1) 0px 20px 25px -5px,
    rgba(0, 0, 0, 0.04) 0px 10px 10px -5px;

}



.header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  width: 100%;
  height: auto;
  margin: 0 auto;
  transition: all 0.35s ease;
  background: rgba(255, 255, 255, .5);
  padding: 10px;
}

.header.on-scroll {
  background-color: var(--color-black);
  box-shadow: var(--shadow-medium);
}

.navbar {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: baseline;
  column-gap: 1rem;
  width: 100%;
  height: 4rem;
  margin-inline: auto;
}

.brand {
  font-family: inherit;
  font-size: 1.5rem;
  font-weight: 600;
  line-height: 1.5;
  text-transform: uppercase;
  color: var(--color-gray);
}

.brand img {
  width: 120px;
  display: none;
}

.menu {
  position: fixed;
  top: -100%;
  left: 0;
  width: 100%;
  height: auto;
  overflow: hidden;
  padding-block: 4rem;
  background-color: var(--color-dark);
  box-shadow: var(--shadow-medium);
  transition: all 0.3s ease;
}

.menu.is-active {
  top: 0;
  left: 0;
}

.menu-inner {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  row-gap: 1.25rem;
  list-style: none;
  margin: 0;
  padding: 0;
}

.menu-link {
  font-family: inherit;
  font-size: 1.1rem;
  font-weight: 600;
  line-height: 1.5;
  text-transform: uppercase;
  color: var(--color-black);
  text-decoration: none;
  text-align: center;
}




.menu-link:hover {
  filter: blur(1.3px);
  text-shadow: 1px 1px 000;

}



.header.on-scroll .menu-link:hover {
  filter: blur(1.3px);
  text-shadow: 1px 1px white;

}



.header.on-scroll .menu-link,
.menu.is-active .menu-link {
  color: white;
}

.header .btn-neutral:hover,
.header.on-scroll .btn-neutral {
  background: white;
  color: var(--color-black);
}

.header.on-scroll .brand img {
  display: block;
}


.menu-block {
  margin-left: auto;
}

@media screen and (min-width: 48rem) {
  .menu {
    position: relative;
    top: initial;
    width: auto;
    padding: 0;
    margin-left: auto;
    background: unset;
    box-shadow: unset;
    transition: unset;
  }

  .menu-inner {
    display: flex;
    flex-direction: row;
    column-gap: 2rem;
    margin-inline: auto;
  }



  .menu-block {
    margin-left: 2rem;
  }
}



.burger {
  cursor: pointer;
  position: relative;
  display: block;

  z-index: 10;
  width: 1.5rem;
  height: 1rem;
  user-select: none;
  visibility: visible;
}

@media screen and (min-width: 48rem) {
  .burger {
    display: none;
    visibility: hidden;
  }
}

.burger-line {
  position: absolute;
  display: block;
  left: 0;
  opacity: 1;
  width: 100%;
  height: 2px;
  background-color: var(--color-gray);
  transition: all 0.25s ease;
}

.burger-line:nth-child(1) {
  top: 0px;
}

.burger-line:nth-child(2) {
  top: 0.5rem;
  width: 70%;
}

.burger-line:nth-child(3) {
  top: 1rem;
}

.burger.is-active .burger-line:nth-child(1) {
  top: 0.5rem;
  transform: rotate(135deg);
}

.burger.is-active .burger-line:nth-child(2) {
  left: -1rem;
  opacity: 0;
}

.burger.is-active .burger-line:nth-child(3) {
  top: 0.5rem;
  transform: rotate(-135deg);
}

.overlay {
  position: fixed;
  display: none;
  inset: 0;
  z-index: -2;
  width: 100%;
  height: 100%;
  background-color: black;
  transition: all 0.3s ease;
}

.overlay.is-active {
  display: block;
}


.herobanner {
  min-height: 100vh;
  padding-top: 10%;
  background: url(../img/slide1.png);
  background-size: cover;
  z-index: 3;
  width: 100%;

}

.herobanner .logo {
  width: 100%;
  max-width: 800px;

}

.btn-white {
  background: #ffffff;
  border-radius: 30px;
  color: #1a1a1a !important;
  margin-top: 20px;
}

.btn-white:hover {
  background: #1a1a1a;
  color: #ffffff !important;
}

.video-bg {
  position: relative;
  overflow: hidden;
  background: black;
  min-height: 100vh;
}

.video-bg video {
  position: absolute;
  top: 50%;
  left: 50%;
  min-width: 100%;
  min-height: 100%;
  width: auto;
  height: auto;
  transform: translate(-50%, -50%);
  z-index: 0;
  object-fit: cover;
}

/* Oscurece el video un poco */
.video-bg::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
  z-index: 1;
}

/*
// .slider--01
*/

.section--01 {
  padding: 0;

}

.slider--01 {
  position: relative;
  z-index: 2;
}

.slider--01 .slider-header {
  font-size: 16px;
  font-weight: 700;
  margin: 0 0 40px 6vw;
}

.slider--01 .slider-canvas {
  position: relative;
  z-index: 1;
}

.slider--01 .slider-canvas canvas {
  height: auto !important;
  object-fit: cover;
  width: 100% !important;
  max-width: 100% !important;
  aspect-ratio: 2/1;
  position: relative;
  z-index: 1;
}

.slider--01 .slider-images {
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 2;
}

.slider--01 .slider-images .slider-item {
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 1;
}

.slider--01 .slider-images .slider-item img {
  display: block;
  height: 100%;
  object-fit: cover;
  visibility: hidden;
  width: auto;
}

.slider--01 .slider-texts {
  height: 100%;
  left: 0;
  position: absolute;
  pointer-events: none;
  top: 0;
  width: 100%;
  z-index: 2;
  display: none;
}

.slider--01 .slider-texts .slider-item>a {
  color: #FFF;
  font-family: "Montserrat", sans-serif;
  font-size: 5vw;
  font-weight: 900;
  text-transform: uppercase;
  left: 0;
  padding: 0 5vw;
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
  z-index: 1;
}

.slider--01 .slider-texts .slider-item div {
  bottom: 2vw;
  position: absolute;
  right: 2vw;
}

.slider--01 .slider-texts .slider-item div,
.slider--01 .slider-texts .slider-item div a {
  background-color: #000;
  color: #FFF;
  font-size: 14px;
  font-weight: 500;
  line-height: 1;
  display: inline-block;
  padding: 2px 4px;
  pointer-events: all;
  vertical-align: bottom;
}

.slider--01 .slider-nav {
  bottom: 50px;
  display: flex;
  position: absolute;
  left: 50%;
  transform: translate(-50%, 0);
  z-index: 3;
  display: none;
}

.slider--01 .slider-nav button {
  color: #FFF;
  font-family: "Montserrat", sans-serif;
  font-size: 20px;
}

.slider--01 .slider-nav .slider-item {
  margin: 0 8px;
}

.slider--01 .slider-arrows {
  bottom: 53px;
  display: flex;
  position: absolute;
  right: 5vw;
  z-index: 3;
  display: none;
}

.slider--01 .slider-arrows button {
  align-items: center;
  color: #FFF;
  display: flex;
  font-family: "Montserrat", sans-serif;
  font-size: 20px;
  display: flex;
  height: 24px;
  justify-content: center;
  width: 24px;
  display: none;
}

.slider--01 .slider-arrows .slider-prev span {
  display: inline-block;
  vertical-align: middle;
  line-height: 1;
  border-style: solid;
  border-color: transparent;
  border-width: 0.375em 0.64952em;
  border-right-color: currentColor;
  border-left: 0;
}

.slider--01 .slider-arrows .slider-next span {
  display: inline-block;
  vertical-align: middle;
  line-height: 1;
  border-style: solid;
  border-color: transparent;
  border-width: 0.375em 0.64952em;
  border-left-color: currentColor;
  border-right: 0;
}

@media screen and (min-width: 1921px) {
  .slider--01 .slider-canvas canvas {
    aspect-ratio: 2.4/1;
  }

  .slider--01 .slider-texts *,
  .slider--01 .slider-texts a {
    font-size: 96px;
  }
}

@media screen and (max-width: 768px) {
  .slider--01 .slider-canvas canvas {
    aspect-ratio: 4/5;
  }

  .slider--01 .slider-texts *,
  .slider--01 .slider-texts a {
    font-size: 5vw;
  }

  .slider--01 .slider-nav {
    bottom: 5vw;
  }

  .slider--01 .slider-nav button {
    font-size: 3vw;
  }

  .slider--01 .slider-nav .slider-item {
    margin: 0 2vw;
  }

  .slider--01 .slider-nav {
    bottom: 5vw;
  }

  .slider--01 .slider-nav button {
    font-size: 3vw;
  }

  .slider--01 .slider-nav .slider-item {
    margin: 0 2vw;
  }

  .slider--01 .slider-arrows {
    display: none;
  }
}

.btn-custom {
  background: var(--color-gray);
  padding: 10px 40px;
  border-radius: 40px;
  color: var(--color-black);
  text-transform: uppercase;
  font-weight: 600;
}

.btn-custom:hover {
  background: white;
  color: var(--color-red);

}

.btn-neutral {
  background: var(--color-black);
  padding: 10px 30px;
  border-radius: 40px;
  color: white;
}

.rayo-icon {
  width: 30px;
  margin-top: 10%;
  margin-bottom: 40px;

}

.intro {
  color: white;
  padding: 10% 0;
  font-size: 1.1rem;
}

.intro h2 {
  margin-bottom: 8%;
}

.video {
  background: var(--color-black);
  padding: 5% 0;

}

.bg-red {
  background: var(--color-red);
}

.color-red {
  color: var(--color-red);
}

.disciplinas h2 {
  font-weight: 800;

}

.horarios {
  padding: 5% 0 10% 0;
  color: white;
  text-align: center;
}

.horarios h4 {
  text-transform: uppercase;
}

.contentdisciplina {
  padding: 10%;
  color: white;
  min-height: 400px;

}

.contentdisciplina a {
  text-decoration: none;
  color: #ffffff;
}


.noise {
  /* ... */
  background:
    linear-gradient(20deg, #000000, transparent),
    url(https://grainy-gradients.vercel.app/noise.svg);
}

.steps {
  padding: 0 0 5% 0;
  color: #ffffff;
}

.introparrafo {
  font-size: 1.2em;
  width: 100%;
  max-width: 900px;
  color: #ffffff;
}

.step {
  position: relative;
  padding: 2% 3%;

}

.step .stepnumer {
  font-size: 3em;
  color: var(--color-gray);
  font-weight: 900;
  display: inline;
  ;
}

.link-simple {
  color: #ffffff;

}

.step h5 {
  display: inline;
  text-transform: uppercase;
  font-weight: 800;
  letter-spacing: 3px;
  margin-left: 10px;
  color: var(--color-red);
}

.step .step-icon {
  position: absolute;
  right: 0;
  top: 0;

}


.reserva {
  background: url(../img/bg_backblur.png);
  background-size: cover;
  background-repeat: repeat-x;
  padding: 5% 0;
}

.reserva h2 {
  color: white;
  text-transform: uppercase;
  font-size: 3rem;
  font-family: 'Bebas Neue', cursive;
}

.paquetes {
  width: 100%;
  max-width: 900px;
  margin: auto;
}

.itempaquete {
  width: 90%;
  margin: 10% auto;
  max-width: 250px;
  border: 2px solid white;
  border-radius: 40%;
  padding: 10% 5%;
  color: white;
  text-align: center;
  text-transform: uppercase;
  position: relative;
  text-decoration: none;
}

.itempaquete .title {
  font-weight: 800;
}

.itempaquete .txt-small {
  font-size: .8em;
  font-weight: 400;
}

.itempaquete .numberclass {
  font-weight: 900;
  font-size: 6rem;
  display: block;

}

.itempaquete .numberclass.icon {
  line-height: 8rem;

}

.itempaquete .btn-contratar {
  background: gray;
  color: #ffffff;
  position: absolute;
  transform: rotate(30deg);
  right: 0;
  top: 0;
  border-radius: 30px;
  font-size: .8em;
  padding: 3px 10px;

}

.itempaquete .btn-contratar:hover {
  background: var(--color-red);
}

.itempaquete:hover .btn-contratar {
  background: var(--color-red);
}

.restricciones {
  color: white;
  margin-top: 10%;
  font-size: 1.2rem;
}

.descargaapp {
  background: var(--color-black);
  padding: 5% 0 0 0;
  color: #ffffff;

}

.icon-googleplay {
  border: 1.5px solid #a7a7a7;
  border-radius: 10px;
  padding: 1px;
}

.mockup-app {
  width: 100%;
  max-width: 900px;

}

.ubicacion {
  background: var(--color-black);
  padding: 0;
  color: rgb(152, 151, 151);
  text-align: center;
}

.ubicacion i {
  color: var(--color-red);
}

.ubicacion h5 {
  font-weight: 800;
  font-size: 1em;
  text-transform: uppercase;
  color: white;
}

.ubicacion a {
  color: rgb(152, 151, 151);
  text-decoration: none;
  font-size: .9rem;
}

footer {
  font-size: .9rem;
  background: var(--color-black);
  padding: 0;
  text-align: center;
  color: rgb(152, 151, 151);
}

footer a {
  color: rgb(152, 151, 151);
  text-decoration: none;

}

footer a:hover {
  color: var(--color-red);
}


@media screen and (max-width: 900px) {

  .paquetes {
    text-align: center;
  }

  .bg-disciplina {
    min-height: 300px;
  }

  h2 {
    text-align: center;
  }

  footer {
    padding-bottom: 20px;
  }
}